﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using Emailtasks.Resources;
using Microsoft.Phone.Tasks;

namespace Emailtasks
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        private void save_an_email_adress(object sender, RoutedEventArgs e)
        {
           //Create a new instance of save email adress task
            SaveEmailAddressTask emailtask = new SaveEmailAddressTask();
            emailtask.Email = "chetangulati@gmail.com";

            //Completed event handler
            emailtask.Completed += new EventHandler<TaskEventArgs>(saveEmailAddressTask_Completed); 
           
            //launch the task
            emailtask.Show();
        }

        private void saveEmailAddressTask_Completed(object sender, TaskEventArgs e)
        {
            if (e.TaskResult == TaskResult.OK)
            {
                Displayblock.Text = "Email adress has been saved successfully";
            }
        }


        //Compose button click event handler
        private void Compose_new_email(object sender, RoutedEventArgs e)
        {
            //Create a new instance of email task
            EmailComposeTask emailtask = new EmailComposeTask();
            
            //Set the differnt properties
            emailtask.Subject = "My subject";
            emailtask.To = "chetangulati@gmail.com";
            emailtask.Body = "Hello eveyone";
            emailtask.Cc = "testmail@test.com";
            
            //launch the task
            emailtask.Show();
        }


        //Email adress choose task
        private void Choose_an_email_adress(object sender, RoutedEventArgs e)
        {
            EmailAddressChooserTask emailtask = new EmailAddressChooserTask();
            emailtask.Completed += new EventHandler<EmailResult>(emailAddressChooserTask_Completed);
            emailtask.Show();
        }

        private void emailAddressChooserTask_Completed(object sender, EmailResult e)
        {
            if (e.TaskResult == TaskResult.OK)
            {
                EmailComposeTask emailtask = new EmailComposeTask();

                //Set the differnt properties
                emailtask.Subject = "My subject";
                emailtask.To = e.Email;
                emailtask.Body = "Hello eveyone";
                emailtask.Cc = "testmail@test.com";

                //launch the task
                emailtask.Show();
            }
        }

    }
}